Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.tree
Class AbstractLayoutCache.NodeDimensions

    java.lang.Object
      |
      +--javax.swing.tree.AbstractLayoutCache.NodeDimensions

Direct Known Subclasses:
  BasicTreeUI.NodeDimensionsHandler

Enclosing class:
  AbstractLayoutCache

public abstract static class AbstractLayoutCache.NodeDimensions
extends Object

Used by AbstractLayoutCache to determing the size and x origin of a particular node.

Constructor Summary
`AbstractLayoutCache.NodeDimensions()`

Method Summary
`abstract Rectangle` | `getNodeDimensions(Object value, int row, int depth, boolean expanded, Rectangle bounds)` Returns, by reference in bounds, the size and x origin to place value at.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLayoutCache.NodeDimensions

    public AbstractLayoutCache.NodeDimensions()

Method Detail

### getNodeDimensions

    public abstract Rectangle getNodeDimensions(Object value,
                                                int row,
                                                int depth,
                                                boolean expanded,
                                                Rectangle bounds)

  Returns, by reference in bounds, the size and x origin to place value at. The receiver is responsible for determing the Y location. If bounds is null, a newly created Rectangle should be returned, otherwise the value should be placed in bounds and returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.